aboutsummaryrefslogtreecommitdiffstats
path: root/jjb/release-jjb-jellyfish-release/include-release-jjb-release-move-sandbox.sh
diff options
context:
space:
mode:
authorJan-Simon Moeller <jsmoeller@linuxfoundation.org>2020-06-29 12:34:31 +0200
committerJan-Simon Moeller <jsmoeller@linuxfoundation.org>2020-06-29 12:34:31 +0200
commit154d2b4db41b03c40c880b54b241f82102e99958 (patch)
treea54e5ae913ce6315e86849a068022bd2c55cd5dd /jjb/release-jjb-jellyfish-release/include-release-jjb-release-move-sandbox.sh
parente3f8aef07fe8ea1dc9b22692ac19c6907ef88cfb (diff)
Update jenkins template for Jumping Jellyfish release
Add jobs for the JJ release. Bug-AGL: SPEC-3460 Signed-off-by: Jan-Simon Moeller <jsmoeller@linuxfoundation.org> Change-Id: I0c104bdf97056cf52cf0f4e7fd9321cca24adf7c
Diffstat (limited to 'jjb/release-jjb-jellyfish-release/include-release-jjb-release-move-sandbox.sh')
-rw-r--r--jjb/release-jjb-jellyfish-release/include-release-jjb-release-move-sandbox.sh27
1 files changed, 27 insertions, 0 deletions
diff --git a/jjb/release-jjb-jellyfish-release/include-release-jjb-release-move-sandbox.sh b/jjb/release-jjb-jellyfish-release/include-release-jjb-release-move-sandbox.sh
new file mode 100644
index 00000000..2f85a3ea
--- /dev/null
+++ b/jjb/release-jjb-jellyfish-release/include-release-jjb-release-move-sandbox.sh
@@ -0,0 +1,27 @@
+#!/bin/bash
+
+#set -x
+set -e
+
+if test x"" = x"${RELEASE_BRANCH}"; then
+ echo "RELEASE_BRANCH invalid"
+ exit 1
+fi
+
+if test x"" = x"${RELEASE_VERSION}"; then
+ echo "RELEASE_VERSION invalid"
+ exit 1
+fi
+
+
+export REMOTESRC="/srv/download/AGL/upload/ci/${RELEASE_BRANCH}/${RELEASE_VERSION}/"
+export REMOTEDST="/srv/download/AGL/release/${RELEASE_BRANCH}/${RELEASE_VERSION}/"
+
+if test x"yes" = x"$UPLOAD" ; then
+ ssh -o StrictHostKeyChecking=no jenkins-slave@10.30.72.8 mkdir -p ${REMOTEDST}
+ ssh -o StrictHostKeyChecking=no jenkins-slave@10.30.72.8 mv ${REMOTESRC}/* ${REMOTEDST}/
+ ssh -o StrictHostKeyChecking=no jenkins-slave@10.30.72.8 rm -r ${REMOTESRC}
+ ssh -o StrictHostKeyChecking=no jenkins-slave@10.30.72.8 sh -c "cd /srv/download/AGL/release/${RELEASE_BRANCH}/ ; rm latest ; ln -sf ${RELEASE_VERSION} latest ; echo ${RELEASE_VERSION} > latest.txt"
+fi
+
+exit 0 \ No newline at end of file